<!-- Back button with a default href -->
<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="home"></ion-back-button>
    </ion-buttons>
    <ion-title>Dispositivo - {{this.deviceId}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list>
    <h2>Detalle de Dispositivo</h2>
    <ion-item>
      <ion-avatar slot="start">
        <ion-icon size="large" name="thermometer"></ion-icon>
      </ion-avatar>
      <ion-label *ngIf="this.device != null">
        <h2>{{ this.device.dispositivoId }} - {{ this.device.nombre }}</h2>
      </ion-label>
    </ion-item>
  </ion-list>
  <div id="highcharts" style="width:100%; height:400px;"></div>

  <div>
    <div appMouseBackColor *ngIf="this.solenoidState==false">
      <ion-button expand="block" appMouseBackColor (click)='openSolenoid()'>Abrir Electroválvula</ion-button>
    </div>
    <div appMouseBackColor *ngIf="this.solenoidState==true">
      <ion-button expand="block" color="danger" (click)='openSolenoid()'>Cerrar Electroválvula</ion-button>
    </div>
    <div appMouseBackColor *ngIf="this.deviceId">
      <ion-button expand="block" routerLink="/measures/device/{{this.deviceId}}" routerDirection="root">
        Ver mediciones
      </ion-button>
    </div>

    <div appMouseBackColor *ngIf="this.device">
      <ion-button expand="block" *ngIf="this.device" routerLink="/irrigations/device/{{this.device.electrovalvulaId}}"
        routerDirection="root">Ver registro de riego
      </ion-button>
    </div>
  </div>
  <div id="highcharts" style="width:100%; height:300px;"></div>
</ion-content>